/*
 *                   jfjji,.           H A M M E R H E A D  S H A R K W A R E
 *                  ,#######EL:                  http://www.hhsw.de
 *                   .,j######Kj       
 *                    ;W########G:     This  code  is  free software; you can
 *                   j#####G ,D#L:     redistribute it and/or modify it under
 *             .,;;,G#####D.           the  terms  of  the GNU General Public
 *           jE##########G             License   as  published  by  the  Free
 *             .,W######D.             Software  Foundation; either version 2
 *             :L#####K##G             of  the  License,  or (at your option)
 *           .f#####G;.t##:            any later version.
 *         ;L###ELi.    ,D,            
 *       iEEGWj                        This  code  is distributed in the hope
 *      tW;                            that  it  will  be useful, but without
 *     jf                              any warranty; without even the implied
 *    .Kt                              warranty of merchantability or fitness
 *    i:                               for  a particular purpose. See the GNU
 *    ;                                General   Public   License   for  more
 *    .                                details (http://www.gnu.org).
 */
#ifndef bbdock_Icon_hh
#define bbdock_Icon_hh

#include <string.h>

namespace bbdock
{
	/**
	 * A icon/command pair
	 *
	 * @author mf@hhsw.de
	 * @version 0.06
	 */
	class Icon
	{
		public:
			inline const std::string &getCommand() const { return command; }
			inline const std::string &getImage() const { return image; }
			inline const std::string &getTitle() const { return title; }
			inline const void setCommand( const char *s ) { 
				command = expand( s ); }
			inline const void setImage( const char *s ) { 
				image = expand( s ); }
			inline const void setTitle( const char *s ) { title = s; }

			Icon( const char *, const char *, const char * = 0 );
			virtual ~Icon() {}

		private:
			std::string	command;
			std::string	image;
			std::string	title;
			
			std::string expand( std::string ) const;
	};
}

#endif
